summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authormidipix <writeonce@midipix.org>2016-05-14 09:51:30 -0400
committermidipix <writeonce@midipix.org>2016-05-14 09:51:30 -0400
commit29a0ab48fb6221aa0aff94b68dba8f23b954906e (patch)
tree127f00c02fcc1ddaa92e3aa62cb2f0f406a58b78
parent02d78787d7f18fe278ac1a8ffe192eb1ceae0fbb (diff)
downloadsofort-29a0ab48fb6221aa0aff94b68dba8f23b954906e.tar.bz2
sofort-29a0ab48fb6221aa0aff94b68dba8f23b954906e.tar.xz
add missing post-generation substitution in the driver and public headers.
-rwxr-xr-xsofort.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/sofort.sh b/sofort.sh
index ad7763e..193dfca 100755
--- a/sofort.sh
+++ b/sofort.sh
@@ -78,6 +78,19 @@ for f in $files; do
mv "$f.tmp" "$f" || exit 2
done
+# and also the driver and public headers
+files="$dstdir/src/driver/sfrt_driver_ctx.c"
+files="$files $dstdir/src/internal/sofort_driver_impl.h"
+files="$files $dstdir/include/sofort/sofort.h"
+files="$files $dstdir/include/sofort/sofort_api.h"
+
+upperspace=`echo "$project" | tr '[:lower:]' '[:upper:]'`
+
+for f in $files; do
+ sed -e s/SOFORT/$upperspace/g "$f" > "$f.tmp" || exit 2
+ mv "$f.tmp" "$f" || exit 2
+done
+
# and also project/tagver.mk, which has SFRT, not SFRT_
f=project/tagver.mk
upperspace=`echo "$namespace" | tr '[:lower:]' '[:upper:]'`